# Class to calculate Beale's function
# Mathematical formula taken from https://en.wikipedia.org/wiki/Test_functions_for_optimization
# Accessed on May 3rd 2017
#
# Dr. Walter F. de Azevedo Jr.
# azevedolab.net

class Beale(object):
    """Class to calculate Beale's function"""
        
    # Define calc method
    def calc(self,x,y):
        """Method to calculate 3D function"""
                
        # Generate z(x,y)
        z = (1.5 -x +x*y)**2 + (2.25 -x + x*y**2)**2
        
        # Return z axis        
        return z