# Plot 3D function
# Functions taken from https://en.wikipedia.org/wiki/Test_functions_for_optimization and
#                      https://www.sfu.ca/~ssurjano/optimization.html 
# May 3rd 2017
#
# Dr. Walter F. de Azevedo Jr.
# azevedolab.net
# May 3rd 2017
#
    
def main():
    
    # Import libraries
    import eggholder as f3       # Import class to evaluate test function to plot
    import matplot3d as p3      # Import class to plot it
    
    # Instantiating an object of the Function3D() class and assign it to f
    f = f3.Function3D()
    
    # Instantiating an object of the Matplot3D() class and assign it to p
    p = p3.Matplot3D(1,1,0,"cmap",False)
    
    # Invoking plot_it method using f1 object as an argument
    p.plot_it(f)
    
    print("\nDone!")

main()